
Redmine - Defect #10082

Redmine hangs when opening specific issue

2012-01-28 11:14 - Daniel Laf

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.3.0

Description

When I was opening an specific issue that had a lot of subtasks, Redmine took all system memory resources. After doing a lot of

investigation I found that one of the subtasks had the "Due date" incorrectly set to 5000-01-01, so the main task had the date too.

This kills your webserver and you can reproduce this error on any issue (even if it doesn't have a subtask). On Redmine setups that

non-trusted users can create issues, this is a very serious bug.

There should be a configuration option setting the max time in the future we can handle issues, like "Max future date = 2 years" and

also the algorithm that handles Due date should be checked, something is wrong there.

History

#1 - 2012-01-28 18:30 - Jean-Philippe Lang

- Resolution set to Cant reproduce

I've just done the test and it works for me with a due date set to 5000-01-01.

#2 - 2012-01-28 19:07 - Daniel Laf

I've just tested on demo.redmine.org and it does work fine.

http://demo.redmine.org/issues/736

I see that demo.redmine.org is running 1.3.0.devel.8684.

My setup is running 1.3.0.

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.4.2

Rack version              1.1

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Edge Rails revision       unknown

Application root          /var/www/redmine

Environment               production

Database adapter          mysql

Database schema version   20110902000000

About your Redmine plugins

Redmine Better Gantt Chart plugin                0.6.0

Redmine Wiki Gchart LaTeX-style Formula plugin   0.0.4

Stuff To Do Plugin                               0.4.0

Redmine XML Import plugin                        0.0.1

#3 - 2012-03-22 16:12 - Daniel Laf

Just had the same problem with 1.3.1.

I was not able to open the ticket until due_date was changed. This due_date was set automatically by Redmine when updating child issues.

mysql> select * from issues where id = 19\G

*************************** 1. row ***************************

              id: 19

      tracker_id: 2
      project_id: 2

         subject: xxxxxxx

     description: yyyyyyy

        due_date: 5000-01-01

     category_id: 6

       status_id: 1

  assigned_to_id: NULL

     priority_id: 4

fixed_version_id: NULL

       author_id: 3

    lock_version: 13

      created_on: 2012-01-19 13:00:40

      updated_on: 2012-03-21 16:11:50

      start_date: 2012-02-07

      done_ratio: 50

 estimated_hours: NULL

       parent_id: NULL

         root_id: 19

             lft: 1

             rgt: 14

      is_private: 0

1 row in set (0.00 sec)

mysql> update issues set due_date = "2012-04-15" where id = 19;

Query OK, 1 row affected (0.18 sec)

Rows matched: 1  Changed: 1  Warnings: 0

#4 - 2012-04-27 01:00 - Vasiliy Zaytcev

- Status changed from New to Resolved

i have removed plugin redmine_due_date_by_default and the problem has been fixed

#5 - 2013-02-01 21:59 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

- Resolution changed from Cant reproduce to Invalid
